## edu.stanford.nlp.trees.tregex.gui
Enum TregexGUI.FilterType

    java.lang.Object
      java.lang.Enum<TregexGUI.FilterType>
          edu.stanford.nlp.trees.tregex.gui.TregexGUI.FilterType

All Implemented Interfaces:
  Serializable, Comparable<TregexGUI.FilterType>

Enclosing class:
  TregexGUI

    public static enum TregexGUI.FilterType

extends Enum<TregexGUI.FilterType>

Enum Constant Summary
`hasExtension`
`hasPrefix`
`isInRange`
`none`

Method Summary
`String` `toString()`
`static TregexGUI.FilterType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TregexGUI.FilterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final TregexGUI.FilterType none

### hasExtension

    public static final TregexGUI.FilterType hasExtension

### hasPrefix

    public static final TregexGUI.FilterType hasPrefix

### isInRange

    public static final TregexGUI.FilterType isInRange

Method Detail

### values

    public static TregexGUI.FilterType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TregexGUI.FilterType c : TregexGUI.FilterType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TregexGUI.FilterType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TregexGUI.FilterType>`

Stanford NLP Group